Vue.config.devtools = true;
var v = new Vue({
    el: "#hidden_wrap",
    mounted() {
        html2canvas($("body"), {
            useCORS: true,  // 跨域
            allowTaint: false, // 允许污染
            async: false, // 是否异步解析和呈现元素
            foreignObjectRendering: true,// 是否在浏览器支持的情况下使用ForeignObject渲染
            dpi: 300, // 清晰度
            background: "#ffffff", // 背景色
            onrendered:  (canvas)=> {
                $("#o-img").show();
                const dataURL = canvas.toDataURL("image/png");
                $("#o-img").attr("src", dataURL);
                $("#hidden_wrap").hide();
                // this.download(dataURL)
            }
        })

    },
    methods:{
        download (dataURL) {
            console.log('下载')
            let eleLink = document.createElement("a");
            eleLink.href = dataURL; // 转换后的图片地址
            eleLink.download = `$分行周平均分`;
            document.body.appendChild(eleLink);
// 触发点击
            eleLink.click();
// 然后移除
            document.body.removeChild(eleLink);
        },
    },
})
